curl --location '/api/v1/portfolios//goals' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"goal": {
"name": "string",
"priority": "low",
"target_amount_cents": 0,
"target_amount_currency": "string",
"current_amount_cents": 0,
"target_date": "2019-08-24",
"icon": "string",
"color": "string",
"notes": "string"
}
}'{
"success": true,
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "Emergency Fund",
"priority": "low",
"status": "in_progress",
"target_amount": {
"cents": 100000,
"currency": "IDR"
},
"current_amount": {
"cents": 100000,
"currency": "IDR"
},
"remaining_amount": 0,
"progress_percentage": 0,
"target_date": "2019-08-24",
"icon": "string",
"color": "string",
"notes": "string",
"created_at": "2019-08-24T14:15:22.123Z",
"updated_at": "2019-08-24T14:15:22.123Z"
}
}